|  | Home · All Classes · Modules

# Phonon.EffectParameter.Hints Class Reference
[phonon module]

### Methods

- __init__ (self, Hints)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- Hints __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, Hints f)
- Hints __iand__ (self, int mask)
- int __int__ (self)
- Hints __invert__ (self)
- Hints __ior__ (self, Hints f)
- Hints __ixor__ (self, Hints f)
- bool __ne__ (self, Hints f)
- Hints __or__ (self, Hints f)
- Hints __or__ (self, int f)
- Hints __xor__ (self, Hints f)
- Hints __xor__ (self, int f)

## Detailed Description

Hint may be used whenever Hints is expected.

## Method Documentation

### Hints.__init__ (self, Hints)

### Hints.__init__ (self, int)

### Hints.__init__ (self)

### Hints Hints.__and__ (self, int mask)

### int Hints.__bool__ (self)

### bool Hints.__eq__ (self, Hints f)

### Hints Hints.__iand__ (self, int mask)

### int Hints.__int__ (self)

### Hints Hints.__invert__ (self)

### Hints Hints.__ior__ (self, Hints f)

### Hints Hints.__ixor__ (self, Hints f)

### bool Hints.__ne__ (self, Hints f)

### Hints Hints.__or__ (self, Hints f)

### Hints Hints.__or__ (self, int f)

### Hints Hints.__xor__ (self, Hints f)

### Hints Hints.__xor__ (self, int f)